# idref

Finds the nodes that link to the element with a given ID value. These will be element or attribute nodes marked by virtue of schema or DTD validation as IDREF or IDREFS values.

idref($arg as xs:string*) → node()*

Arguments
| $arg | xs:string* | The ID value being sought
Result | node()*

idref($arg as xs:string*, $node as node()) → node()*

Arguments
| $arg | xs:string* | The ID value being sought
| $node | node() | The document in which the search takes place
Result | node()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next